/ api / name / gb.newstring
GB.NewString
Syntax

    void GB.NewString ( char **str , const char *copy , long len );

Allocates a new string by coying an existing one.

- str will receive a pointer to the new string.
- copy is the address of the string to copy.
- len is the length of the string to copy.

If len is zero, then the function assumes that copy points to a null-terminated string, and calculates its length with the `strlen()` function.

### See also

String Management